onyx_config(1)

NAME
onyx_config - configuration helper for building with libonyx

SYNOPSIS
onyx_config [--help] [--prefix] [--bindir] [--datadir] [--libdir] [--includedir] [--mandir] [--onyx-path] [--version] [--features] [--cppflags] [--cflags] [--ldflags] [--libs]

DESCRIPTION
The onyx_config program is a script that aids in building programs with libonyx.

  Command line flags:

--help
    Display usage information and exit.

--prefix
    Display the installation prefix.

--bindir
    Display the the directory path where binaries are installed.

--datadir
    Display the the directory path where documentation, modules, and other program files are installed.

--libdir
    Display the the directory path where libraries are installed.

--includedir
    Display the the directory path where header files are installed.

--mandir
    Display the the directory path where manual pages are installed.

--onyx-path
    Display the absolute path to the onyx binary.

--version
    Display the release version.

--features
    Display a space-separated list of the features built into the Onyx interpreter.

--cppflags
    Display the C preprocessor flags.

--cflags
    Display the C compiler flags.

--ldflags
    Display the library linker flags.

--libs
    Display the libaries to link against.

FILES
/usr/local/share/doc/onyx/html/onyx.html
/usr/local/share/doc/onyx/pdf/onyx.pdf

SEE ALSO
onyx(1)

HISTORY
Written by Jason Evans <jasone@canonware.com>.